API ReferenceAnalytics
Get automation analytics
Authorization
api-key X-API-Key<token>
In: header
Query Parameters
startDate*string
Start date (ISO 8601)
endDate*string
End date (ISO 8601)
Response Body
application/json
curl -X GET "https://example.com/api/v1/analytics/automations?startDate=string&endDate=string"{ "stats": { "activeAutomations": 4, "enrolledThisPeriod": 6900, "completions": 4460, "avgCompletionRate": 64.6, "emailsSent": 20670, "avgOpenRate": 61.2, "avgClickRate": 28.8, "avgUnsubRate": 0.7 }, "automationPerformance": { "total": 12, "page": 1, "perPage": 10, "items": [ { "id": "uuid", "name": "Welcome Series", "status": "active", "enrolled": 3240, "emailsSent": 12850, "openRate": 68, "clickRate": 32, "completionRate": 74 } ] }, "workflowActivity": [ { "date": "Jan 1", "entries": 120, "completions": 74, "emailsSent": 380 } ], "engagementTrend": [ { "date": "Jan 1", "openRate": 57, "clickRate": 25 } ], "enrollmentOverTime": [ { "date": "Jan 1", "enrolled": 120 } ], "workflowEmailPerformance": { "total": 38, "page": 1, "perPage": 10, "sortBy": "sent", "sortDir": "desc", "items": [ { "automationId": "uuid", "automationName": "Welcome Series", "stepNumber": 1, "stepLabel": "Email 1", "subject": "Welcome to Peleka!", "sent": 3200, "openRate": 78, "clickRate": 42, "unsubRate": 0.3 } ] }}